## org.eclipse.jetty.deploy.util
Class FileID

    java.lang.Object
      org.eclipse.jetty.deploy.util.FileID

    public class FileID

extends Object

Simple, yet surprisingly common utility methods for identifying various file types commonly seen and worked with in a deployment scenario.

Constructor Summary
`FileID()`

Method Summary
`static boolean` `isWebArchive(File path)` Is the path a Web Archive?
`static boolean` `isWebArchiveFile(File path)` Is the path a Web Archive File (not directory)
`static boolean` `isXmlFile(File path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileID

    public FileID()

Method Detail

### isWebArchive

    public static boolean isWebArchive(File path)

  Is the path a Web Archive?

  Parameters:
    `path` - the path to test.
  Returns:
    True if a .war or .jar or exploded web directory
  See Also:
    `isWebArchiveFile(File)`

### isWebArchiveFile

    public static boolean isWebArchiveFile(File path)

  Is the path a Web Archive File (not directory)

  Parameters:
    `path` - the path to test.
  Returns:
    True if a .war or .jar file.
  See Also:
    `isWebArchive(File)`

### isXmlFile

    public static boolean isXmlFile(File path)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.